Skip to main content
GET
List cards

Query Parameters

account_id
string<uuid>

Filter by account.

cardholder_id
string<uuid>

Filter by cardholder.

status
enum<string>

Filter by card status.

Available options:
all,
provisioning,
pending_activation,
active,
blocked,
canceled
type
enum<string>

Filter by card type.

Available options:
virtual
safe_owner_address
string

Filter by Safe owner address.

created_at_start
string<date-time>

Filter cards created on or after this date.

created_at_end
string<date-time>

Filter cards created on or before this date.

page_size
integer<int32>
default:10

The number of cards on each page (1-100).

Required range: 1 <= x <= 100
page_cursor
string

The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.

Response

The request has succeeded.

Paginated response containing data and pagination metadata

data
object[]
required
pagination
object
required

Pagination metadata for cursor-based pagination